SUBDIRS = tools fw fpga

all clean spotless :
	$(MAKE) local.$@ $(SUBDIRS) goal=$@

.PHONY: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(goal)

fw: tools

fpga: fw

local.all:

local.clean:
	rm -f *~ ./\#* \# *.bak

local.spotless: local.clean

# FPGA-specific targets
program flash signalclean:
	$(MAKE) -C fpga $@
